Page MenuHomePhabricator

[VPlan] Use VPDef for VPWidenSelectRecipe.
ClosedPublic

Authored by fhahn on Nov 1 2020, 10:43 AM.

Details

Summary

This patch turns updates VPWidenSelectRecipe to manage the value
it defines using VPDef. The VPValue is used during VPlan
construction and codegeneration instead of the plain IR reference
where possible.

Diff Detail

Event Timeline

fhahn created this revision.Nov 1 2020, 10:43 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 1 2020, 10:43 AM
fhahn requested review of this revision.Nov 1 2020, 10:43 AM
fhahn updated this revision to Diff 303234.Nov 5 2020, 12:58 PM

Updated to keep VPWidenSelectRecipe a VPValue which is then added to its VPDef. This simplifies things a bit.

fhahn updated this revision to Diff 303406.Nov 6 2020, 4:52 AM

Update after VPDef does not inherit from VPUser directly.

fhahn updated this revision to Diff 306911.Nov 22 2020, 6:14 AM

Rebase after all dependent patches landed & ping :)

gilr added a comment.Dec 14 2020, 11:16 PM

How is the new test related to this change?

fhahn updated this revision to Diff 311843.Dec 15 2020, 1:52 AM

How is the new test related to this change?

It exposed a crash in an earlier revision of the patches, but that has been fixed a while ago. I committed the test separately in 8a7e770638f0.

gilr accepted this revision.Dec 15 2020, 5:42 AM

LGTM, tx!

This revision is now accepted and ready to land.Dec 15 2020, 5:42 AM
This revision was landed with ongoing or failed builds.Dec 15 2020, 6:15 AM
This revision was automatically updated to reflect the committed changes.